Summary:	A Pluggable Authentication Module for Kerberos 5
Name:		pam_krb5
Version:	2.3.4
Release:	%mkrel 1
License:	LGPL
Group:		System/Libraries
URL:		http://people.redhat.com/nalin/pam_krb5/
Source0:	http://people.redhat.com/nalin/pam_krb5/%{name}-%{version}-1.tar.gz
BuildRequires:	byacc
BuildRequires:	flex
BuildRequires:	krb5-devel
BuildRequires:	pam-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description 
This is pam_krb5, a pluggable authentication module that can be used with
Linux-PAM and Kerberos 5. This module supports password checking, ticket
creation, and optional TGT verification and conversion to Kerberos IV tickets.
The included pam_krb5afs module also gets AFS tokens if so configured.

%prep
%setup -q -n %{name}-%{version}-1

%build
%configure2_5x \
    --libdir=/%{_lib} \
    --without-krb4 \
    --with-os-distribution="Mandriva Linux"

%make

%install
rm -rf %{buildroot}

%makeinstall_std mandir=%{_mandir}

ln -s pam_krb5.so %{buildroot}/%{_lib}/security/pam_krb5afs.so

# cleanup
rm -f %{buildroot}/%{_lib}/security/*.la
rm -f pam.d/Makefile*

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README* COPYING ChangeLog INSTALL TODO
/%{_lib}/security/*
%{_bindir}/afs5log
%{_mandir}/man1/afs5log.1*
%{_mandir}/man5/*
%{_mandir}/man8/*


%changelog
* Wed Mar 11 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.4-1mdv2009.1
+ Revision: 353927
- new version

* Sun Feb 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.3-1mdv2009.1
+ Revision: 340565
- new release

* Fri Jan 23 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.2-1mdv2009.1
+ Revision: 332871
- new version

* Fri Jul 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.1-4mdv2009.0
+ Revision: 248716
- new version

* Wed Jul 09 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.11-4mdv2009.0
+ Revision: 232945
- added P0 to fix linkage

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.2.11-2mdv2008.1
+ Revision: 130995
- kill re-definition of %%buildroot on Pixel's request


* Wed Nov 29 2006 Andreas Hasenack <andreas@mandriva.com> 2.2.11-2mdv2007.0
+ Revision: 88754
- bump release
- add one more README file to %%doc
- updated to version 2.2.11
- added distro name
- Import pam_krb5

* Fri Apr 28 2006 Andreas Hasenack <andreas@mandriva.com> 2.2.8-1mdk
- updated to version 2.2.8-1

* Thu Mar 23 2006 Andreas Hasenack <andreas@mandriva.com> 2.2.7-1mdk
- updated to version 2.2.7-1

* Thu Mar 16 2006 Andreas Hasenack <andreas@mandriva.com> 2.2.6-1mdk
- updated to version 2.2.6-2
- dropped stdio patch
- added new files (afs5log and its manpage)

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 2.1.2-4mdk
- remove the libkrbafs-devel deps

* Sat Jun 18 2005 Andreas Hasenack <andreas@mandriva.com> 2.1.2-3mdk
- rebuild without krb4 support
- added stdio patch to include <stdio.h>

* Fri Jun 10 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.1.2-2mdk
- Rebuild for libkrb53-devel 1.4.1

* Mon Nov 15 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.1.2-1mdk
- 2.1.2

* Mon Aug 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.1.1-1mdk
- 2.1.1
- misc spec file fixes

* Tue May 11 2004 Florin <florin@mandrakesoft.com> 2.0.10-1mdk
- 2.0.10-1
- remove useless patches
- add the pam_krb5_storetmp new file

* Tue Mar 09 2004 Florin <florin@mandrakesoft.com> 2.0.5-1mdk
- 2.0.5-3

